-- real_vector_pkg.vhd
library ieee;
use ieee.std_logic_1164.all;
use ieee.math_real.all;

package real_vector_pkg is
    constant MAX_N : integer := 32; -- Define maximum expected vector size

    type my_real_vector is array (natural range <>) of real;
    type real_matrix is array (natural range <>, natural range <>) of real;
    type my_real_matrix is array (natural range <>, natural range <>) of real;
    subtype my_real is real;
    
        -- Type-dependent constants
    constant ZERO_REAL : my_real := 0.0;
    constant ONE_REAL  : my_real := 1.0;

end package;

package body real_vector_pkg is
end package body;






